# Airport data

## Get full airport data

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}`

#### Path Parameters

| Name                                  | Type   | Description                |
| ------------------------------------- | ------ | -------------------------- |
| aid<mark style="color:red;">\*</mark> | String | Aviowiki ID of the airport |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK Airport details" %}
The detailed properties of the returned object can be found in the documentation of the [Airport](/data-models/airport.md) data model.

```json
{
	"icao": "KJFK",
	"iata": "JFK",
	"localIdentifier": "JFK",
	"name": "John F. Kennedy International ",
	"servedCity": "New York",
	"servedCityGoverningDistrict": {
		"code": "US-NY",
		"name": "New York",
		"administrativeType": "State"
	},
	"administrativeCity": null,
	"administrativeCityGoverningDistrict": null,
	"elevation": 3.96,
	"coordinates": {
		"latitude": 40.6399278,
		"longitude": -73.7786944
	},
	"variation": -13.00,
	"country": {
		"iso2": "US",
		"iso3": "USA",
		"isoNumeric": 840,
		"name": "United States",
		"officialName": "United States of America",
		"localIdentifierName": null
	},
	"timeZone": "America/New_York",
	"perimeter": null,
	"type": "AIRPORT",
	"operator": "PUBLIC",
	"accessibleFor": [
		"SCHEDULED",
		"NON_SCHEDULED",
		"GENERAL_AVIATION",
		"MILITARY",
		"BUSINESS_AVIATION"
	],
	"ifr": true,
	"nonScheduledPermission": "NONE",
	"nonScheduledPermissionNotes": null,
	"mandatoryHandling": false,
	"mandatoryQualification": false,
	"qualificationLink": null,
	"qualificationNotes": null,
	"weightLimit": 9999999.00,
	"wingspanLimit": 999.00,
	"paxLimit": 999,
	"referenceWeatherStation": null,
	"aid": "APT-KS1J-8E0L"
}
```

{% endtab %}

{% tab title="404: Not Found Airport by the given Aviowiki ID does not exist." %}

```json
{
	"error": "The Airport identified by {AID} does not exist.",
	"timestamp": "2022-07-14T11:45:53.093205678Z",
	"status": 404,
	"message": "The Airport identified by {AID} does not exist.",
	"path": "/airports/{AID}"
}
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

{% endtab %}
{% endtabs %}

Retrieving airport data by ICAO, IATA and local identifiers is also possible, for more information view [Free airport endpoints](https://app.gitbook.com/s/-MS2fBXSpqyanE1zUgLP/~/changes/azyVdsTRjG0nkFbEtlIg/free-endpoints/free-airport-endpoints/airport-data).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/authenticated-endpoints/airport-endpoints/airport-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
